# ARBSparseTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBSparseTexture

    java.lang.Object
      org.lwjgl.opengl.ARBSparseTexture

    public final class ARBSparseTexture

extends java.lang.Object

Field Summary
`static int` `GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_MAX_SPARSE_TEXTURE_SIZE_ARB` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_NUM_SPARSE_LEVELS_ARB` Accepted by the <pname> parameter of GetTexParameter{if}v and GetTexParameterIi{u}v:
`static int` `GL_NUM_VIRTUAL_PAGE_SIZES_ARB` Accepted by the <pname> parameter to GetInternalformativ:
`static int` `GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_TEXTURE_SPARSE_ARB` Accepted by the <pname> parameter to TexParameter{i f}{v}, TexParameterI{u}v, GetTexParameter{if}v and GetTexParameterIi{u}v:
`static int` `GL_VIRTUAL_PAGE_SIZE_INDEX_ARB` Accepted by the <pname> parameter to TexParameter{i f}{v}, TexParameterI{u}v, GetTexParameter{if}v and GetTexParameterIi{u}v:
`static int` `GL_VIRTUAL_PAGE_SIZE_X_ARB` Accepted by the <pname> parameter to GetInternalformativ:
`static int` `GL_VIRTUAL_PAGE_SIZE_Y_ARB` Accepted by the <pname> parameter to GetInternalformativ:
`static int` `GL_VIRTUAL_PAGE_SIZE_Z_ARB` Accepted by the <pname> parameter to GetInternalformativ:

Method Summary
`static void` `glTexPageCommitmentARB(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, boolean commit)`
`static void` `glTexturePageCommitmentEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, boolean commit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_SPARSE_ARB

    public static final int GL_TEXTURE_SPARSE_ARB

  Accepted by the <pname> parameter to TexParameter{i f}{v}, TexParameterI{u}v, GetTexParameter{if}v and GetTexParameterIi{u}v:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_INDEX_ARB

    public static final int GL_VIRTUAL_PAGE_SIZE_INDEX_ARB

  Accepted by the <pname> parameter to TexParameter{i f}{v}, TexParameterI{u}v, GetTexParameter{if}v and GetTexParameterIi{u}v:

  See Also:
    Constant Field Values

### GL_NUM_SPARSE_LEVELS_ARB

    public static final int GL_NUM_SPARSE_LEVELS_ARB

  Accepted by the <pname> parameter of GetTexParameter{if}v and GetTexParameterIi{u}v:

  See Also:
    Constant Field Values

### GL_NUM_VIRTUAL_PAGE_SIZES_ARB

    public static final int GL_NUM_VIRTUAL_PAGE_SIZES_ARB

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_X_ARB

    public static final int GL_VIRTUAL_PAGE_SIZE_X_ARB

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_Y_ARB

    public static final int GL_VIRTUAL_PAGE_SIZE_Y_ARB

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_Z_ARB

    public static final int GL_VIRTUAL_PAGE_SIZE_Z_ARB

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_MAX_SPARSE_TEXTURE_SIZE_ARB

    public static final int GL_MAX_SPARSE_TEXTURE_SIZE_ARB

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

### GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB

    public static final int GL_MAX_SPARSE_3D_TEXTURE_SIZE_ARB

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

### GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB

    public static final int GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS_ARB

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

### GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB

    public static final int GL_SPARSE_TEXTURE_FULL_ARRAY_CUBE_MIPMAPS_ARB

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

Method Detail

### glTexPageCommitmentARB

    public static void glTexPageCommitmentARB(int target,
                                              int level,
                                              int xoffset,
                                              int yoffset,
                                              int zoffset,
                                              int width,
                                              int height,
                                              int depth,
                                              boolean commit)

### glTexturePageCommitmentEXT

    public static void glTexturePageCommitmentEXT(int texture,
                                                  int target,
                                                  int level,
                                                  int xoffset,
                                                  int yoffset,
                                                  int zoffset,
                                                  int width,
                                                  int height,
                                                  int depth,
                                                  boolean commit)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.